<?php

  $charitable_trust_color_palette_css = '';

	// Global Color

	$charitable_trust_first_color = charitable_trust_get_option('charitable_trust_first_color');
	$charitable_trust_second_color = charitable_trust_get_option('charitable_trust_second_color');

	if($charitable_trust_first_color != false){
		$charitable_trust_color_palette_css .=':root {';
			$charitable_trust_color_palette_css .='--primary-theme-color: '.esc_attr($charitable_trust_first_color).'!important;';
			$charitable_trust_color_palette_css .='--secondary-theme-color: '.esc_attr($charitable_trust_second_color).'!important;';
		$charitable_trust_color_palette_css .='}';
	}

	// Copyright Background Color
	$charitable_trust_copyright_background_color = charitable_trust_get_option('charitable_trust_copyright_background_color');
	$charitable_trust_color_palette_css .='#colophon {';
	$charitable_trust_color_palette_css .='background: '.esc_attr($charitable_trust_copyright_background_color);
	$charitable_trust_color_palette_css .='}';

	// Copyright Text Color
	$charitable_trust_copyright_text_color = charitable_trust_get_option('charitable_trust_copyright_text_color');
	$charitable_trust_color_palette_css .='#colophon a , #colophon{';
	$charitable_trust_color_palette_css .='color: '.esc_attr($charitable_trust_copyright_text_color);
	$charitable_trust_color_palette_css .='}';


	// Site title And tagline Option
	$charitable_trust_site_title_font_size = charitable_trust_get_option('charitable_trust_site_title_font_size');
	$charitable_trust_site_title_color = charitable_trust_get_option('charitable_trust_site_title_color');
	$charitable_trust_color_palette_css .='.site-title>a , .site-title {';
		$charitable_trust_color_palette_css .='font-size: '.esc_attr($charitable_trust_site_title_font_size).'px;';
		$charitable_trust_color_palette_css .='color: '.esc_attr($charitable_trust_site_title_color).';';
	$charitable_trust_color_palette_css .='}';
	
	$charitable_trust_site_tagline_font_size = charitable_trust_get_option('charitable_trust_site_tagline_font_size');
	if($charitable_trust_site_tagline_font_size != false){
		$charitable_trust_color_palette_css .='.site-description {';
			$charitable_trust_color_palette_css .='font-size: '.esc_attr($charitable_trust_site_tagline_font_size).'px;';
		$charitable_trust_color_palette_css .='}';
	}

		//First Cap
	$charitable_trust_show_first_caps = charitable_trust_get_option('charitable_trust_show_first_caps', false);
	if($charitable_trust_show_first_caps == 'true' ){
	$charitable_trust_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter{';
	$charitable_trust_color_palette_css .=' font-size: 50px; font-weight: 600;';
	$charitable_trust_color_palette_css .=' margin-right: 5px;';
	$charitable_trust_color_palette_css .=' line-height: 1;';
	$charitable_trust_color_palette_css .='}';
	}elseif($charitable_trust_show_first_caps == 'false' ){
	$charitable_trust_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter {';
	$charitable_trust_color_palette_css .='display: none;';
	$charitable_trust_color_palette_css .='}';
	}

	// preloader background image
	$charitable_trust_show_preloader_background_image = charitable_trust_get_option('charitable_trust_show_preloader_background_image');
	if($charitable_trust_show_preloader_background_image != false){
		$charitable_trust_color_palette_css .='#preloader {';
			$charitable_trust_color_palette_css .='background: url('.esc_attr($charitable_trust_show_preloader_background_image).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$charitable_trust_color_palette_css .='}';
	}